Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » TMF (Xtext) » Error resolving Extension with xtext tycho build after 2.4 upgrade
Error resolving Extension with xtext tycho build after 2.4 upgrade [message #1066103] Sun, 30 June 2013 17:30 Go to next message
Ian Warwick is currently offline Ian WarwickFriend
Messages: 20
Registered: April 2012
Junior Member
Hi Guys,

I upgraded my xtext project to 2.4 and now having some troubles with a tycho build, it seems its unable to resolve org.eclipse.xtext.xbase.lib.Extension which is odd because I have it listed in my manifests and it worked before.

Anyone run into this issue, I am not sure what tycho is doing under the hood but I guess it looks through the manifest to resolve dependencies and for some reason it cannot do this one Sad

Any help would be greatly appreciated, log below.

[ERROR] Extension cannot be resolved to a type
[ERROR] /Users/fluxtah/Documents/sdev/proj/mechanoid/plugins/com.robotoworks.mechanoid.db/xtend-gen/com/robotoworks/mechanoid/db/generator/SqliteOpenHelperGenerator.java:[16,0]
[ERROR] import org.eclipse.xtext.xbase.lib.Extension;
[ERROR] ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
[ERROR] The import org.eclipse.xtext.xbase.lib.Extension cannot be resolved
[ERROR] /Users/fluxtah/Documents/sdev/proj/mechanoid/plugins/com.robotoworks.mechanoid.db/xtend-gen/com/robotoworks/mechanoid/db/generator/SqliteOpenHelperGenerator.java:[22,0]
[ERROR] @Extension
[ERROR] ^^^^^^^^^
Re: Error resolving Extension with xtext tycho build after 2.4 upgrade [message #1066107 is a reply to message #1066103] Sun, 30 June 2013 18:42 Go to previous messageGo to next message
Christian Dietrich is currently offline Christian DietrichFriend
Messages: 6550
Registered: July 2009
Senior Member
Hi,

do you have a dependency to org.eclipse.xtext.xbase.lib ???
Re: Error resolving Extension with xtext tycho build after 2.4 upgrade [message #1066108 is a reply to message #1066103] Sun, 30 June 2013 19:13 Go to previous messageGo to next message
Joerg Reichert is currently offline Joerg ReichertFriend
Messages: 78
Registered: July 2009
Location: Leipzig
Member
Hi Ian

have you changed the versions of the Xtend Maven POJOs as well?:

   ...
   <build>
      <pluginManagement>
          ...
         <plugins>
            <plugin>
               <groupId>org.eclipse.xtend</groupId>
               <artifactId>xtend-maven-plugin</artifactId>
               <version>2.4.2</version>
               <executions>
                  <execution>
                     <goals>
                        <goal>compile</goal>
                     </goals>
                  </execution>
               </executions>
               <configuration>
                  <outputDirectory>${basedir}/xtend-gen</outputDirectory>
               </configuration>
               <dependencies>
                  <dependency>
                     <groupId>org.eclipse.xtend</groupId>
                     <artifactId>org.eclipse.xtend.lib</artifactId>
                     <version>2.4.2</version>
                     <type>pom</type>
                  </dependency>
               </dependencies>
            </plugin>
         </plugins>
      </pluginManagement>
   </build>
   ...
   <pluginRepositories>
      <pluginRepository>
         <id>sonatype_releases</id>
         <url>https://oss.sonatype.org/content/repositories/releases/</url>
         <releases>
            <enabled>false</enabled>
         </releases>
         <snapshots>
            <enabled>true</enabled>
         </snapshots>
      </pluginRepository>
   <pluginRepositories>
   ...


Please note that the repositories:
* http://build.eclipse.org/common/xtend/maven/
* http://maven.eclipse.org/nexus/content/groups/public/
* http://repository.sonatype.org/content/groups/sonatype-public-grid/
are deprecated (at least for Xtend/Xtext).

Best regards
Joerg


--
Need professional support for Xtext and EMF?
Go to: http://xtext.itemis.com
Re: Error resolving Extension with xtext tycho build after 2.4 upgrade [message #1066135 is a reply to message #1066103] Mon, 01 July 2013 08:10 Go to previous messageGo to next message
Ian Warwick is currently offline Ian WarwickFriend
Messages: 20
Registered: April 2012
Junior Member
@Christian

Thanks, I had that dependency but I did not specify a version, after adding the version it seems I now have issues with repositories

@Joerg

Thanks for that, I am using tycho to build my projects and I do not use the xtend compiler in my build, I pretty much to what Christian does with Jnario because I originally copied his poms

Re: Error resolving Extension with xtext tycho build after 2.4 upgrade [message #1066141 is a reply to message #1066135] Mon, 01 July 2013 09:12 Go to previous messageGo to next message
Ian Warwick is currently offline Ian WarwickFriend
Messages: 20
Registered: April 2012
Junior Member
Hi Guys,

Still not having much luck with this, @Christian I see in your parent pom you specify the repositories which I do now but still it cannot satisfy the dependency:

<repositories>
<repository>
<id>juno</id>
<layout>p2</layout>
<url>${eclipse-site}</url>
</repository>
<repository>
<id>eclipse.xtend</id>
<url>http://build.eclipse.org/common/xtend/maven/</url>
</repository>
</repositories>

in my MANIFEST.MF files I am now asking for a specific version 2.4.2 but still no luck:

Cannot resolve project dependencies:
Software being installed: com.robotoworks.mechanoid.updatesite raw:0.2.0.'SNAPSHOT'/format(n]]):0.2.0-SNAPSHOT
Missing requirement: com.robotoworks.mechanoid.db 0.2.0.qualifier requires 'bundle org.eclipse.xtext.xbase.lib 2.4.2' but it could not be found
Cannot satisfy dependency: com.robotoworks.mechanoid.db.ui 0.2.0.qualifier depends on: bundle com.robotoworks.mechanoid.db 0.0.0
Cannot satisfy dependency: com.robotoworks.mechanoid.feature.feature.group 0.2.0.qualifier depends on: com.robotoworks.mechanoid.db.ui 0.0.0
Cannot satisfy dependency: com.robotoworks.mechanoid.updatesite raw:0.2.0.'SNAPSHOT'/format(n[.n=0;[.n=0;[-S]]]):0.2.0-SNAPSHOT depends on: com.robotoworks.mechanoid.feature.feature.group [0.2.0,0.2.1)

Maven is still foreign to me so that has probably got a lot to do with it Sad

Cheers,

Ian

Re: Error resolving Extension with xtext tycho build after 2.4 upgrade [message #1066143 is a reply to message #1066141] Mon, 01 July 2013 09:20 Go to previous messageGo to next message
Christian Dietrich is currently offline Christian DietrichFriend
Messages: 6550
Registered: July 2009
Senior Member
Hi this is not me. Never the less the stuff is at maven central with
242

--
Need training, onsite consulting or any other kind of help for Xtext?
Go visit http://xtext.itemis.com or send a mail to xtext at itemis dot de
Re: Error resolving Extension with xtext tycho build after 2.4 upgrade [message #1066153 is a reply to message #1066143] Mon, 01 July 2013 09:52 Go to previous messageGo to next message
Ian Warwick is currently offline Ian WarwickFriend
Messages: 20
Registered: April 2012
Junior Member
Ah sorry, yes I see my apologies.

This might be a Tycho issue not looking in to right place, I will look into it cheers.

Regards,

Ian

Re: Error resolving Extension with xtext tycho build after 2.4 upgrade [message #1066680 is a reply to message #1066153] Wed, 03 July 2013 17:43 Go to previous messageGo to next message
Tobias Kniep is currently offline Tobias KniepFriend
Messages: 13
Registered: June 2010
Junior Member
Hi Ian,

can you try it with the following repositories?

<repositories>
	<repository>
		<id>juno</id>
		<layout>p2</layout>
		<url>http://download.eclipse.org/releases/juno</url>
	</repository>
	<repository>
		<id>xtext</id>
		<layout>p2</layout>
		<url>http://download.eclipse.org/modeling/tmf/xtext/updates/composite/releases/</url>
	</repository>
	<repository>
		<id>maven.eclipse.org</id>
		<url>http://maven.eclipse.org/nexus/content/groups/public/</url>
	</repository>
	<repository>
		<id>xtend</id>
		<url>http://build.eclipse.org/common/xtend/maven/</url>
	</repository>
</repositories>


That seems to do it for me.

Regards,
Tobias
Re: Error resolving Extension with xtext tycho build after 2.4 upgrade [message #1066681 is a reply to message #1066680] Wed, 03 July 2013 17:48 Go to previous messageGo to next message
Christian Dietrich is currently offline Christian DietrichFriend
Messages: 6550
Registered: July 2009
Senior Member
HI,

for 2.4.2 you should actually use kepler not juno.
Re: Error resolving Extension with xtext tycho build after 2.4 upgrade [message #1071106 is a reply to message #1066103] Fri, 19 July 2013 10:56 Go to previous message
Ian Warwick is currently offline Ian WarwickFriend
Messages: 20
Registered: April 2012
Junior Member
Cheers Tobias & Christian, got it working with your help, pom here:

https://github.com/robotoworks/mechanoid/blob/master/pom.xml
Previous Topic:Unresolved reference in editor when importing
Next Topic:Generate equivalent Java statement from XBlockExpression using IGenerator
Goto Forum:
  


Current Time: Sun Dec 21 02:49:27 GMT 2014

Powered by FUDForum. Page generated in 0.07397 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software